<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	
<style>
.fixedSizeScratchCard,.fixedCountScratchCard{
	width:400px;
	display:inline-block;
}
#diySizeScratchCard,#diyCountScratchCard{
	width:400px;
	display:inline-block;
}
.fixedSizeScratchCard .layui-input,.fixedCountScratchCard .layui-input{
	width:100%
}
.fixedSizeScratchCard .layui-edge,.fixedCountScratchCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="刮刮卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸">
</div>
<p>
	规格	
</p>
<span class="layui-form-item fixedSizeScratchCard" style="width:400px;display:inline-block;">
	<select name="size" id="fixedSizeScratchCard" class="select">
		<option value="21*9">21*9 cm</option>
		<option value="16*9">16*9 cm</option>
		<option value="10.8*9">10.8*9 cm</option>
		<option value="10*6">10*6 cm</option>
		<option value="9*5.4">9*5.4 cm</option>
	</select>
</span>
<span class="diySizeScratchCard" style="display:none">
	<input type="text" name="size" id="diySizeScratchCard" placeholder="格式:长*宽" class="layui-input" autocomplete="off" style="width:400px;display:inline-block;">
</span>
<input type="checkbox" name="switchSize" class="switchSizeScratchCard" lay-filter="switchSizeScratchCard" style="font-size:10px" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span> 
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountScratchCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountScratchCard" style="display:none">
	<input type="text" name="count" id="diyCountScratchCard" placeholder="请输入整数" autocomplete="off"
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount" lay-filter="switchCountScratchCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberScratchCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>

<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	   
	    // 默认没有选中复选框
	    $('.switchSizeScratchCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizeScratchCard)', function(data) {
			if(data.elem.checked){
				$('.switchSizeScratchCard').val("on")
				$(".diySizeScratchCard").show();
				$(".fixedSizeScratchCard").hide();
				$(".diySizeScratchCard").find(":input").attr("disabled", false);
				$(".fixedSizeScratchCard").find(":input").attr("disabled", true);
			} else {
				$('.switchSizeScratchCard').val("off")
				$(".fixedSizeScratchCard").show();
				$(".diySizeScratchCard").hide();
				$(".fixedSizeScratchCard").find(":input").attr("disabled", false);
				$(".diySizeScratchCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountScratchCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountScratchCard").show();
				$(".fixedCountScratchCard").hide();
				$(".diyCountScratchCard").find(":input").attr("disabled", false);
				$(".fixedCountScratchCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountScratchCard").show();
				$(".diyCountScratchCard").hide();
				$(".fixedCountScratchCard").find(":input").attr("disabled", false);
				$(".diyCountScratchCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>